<script setup lang="ts">
const props = defineProps<{
  nav?: boolean;
}>();
const search = async (value: string | null | undefined) => {
  const normalizedValue = (value || "").trim();
  if (normalizedValue) {
    const path = `/search/${encodeURIComponent(normalizedValue)}`;
    await navigateTo({ path });
  }
};
const examples = [
  "TC013553",
  "FBgn0001180",
  "CG9786",
  "rx",
  "retinal homeobox",
  "iB_05451",
  "larva head",
  "leg shortened",
  "abdomen transformed",
  "abdomen transformed -urogomphi",
  "head AND wing AND NOT muscle",
];
</script>

<template>
  <div class="d-flex flex-column flex-1-1 mx-2" style="max-width: 600px">
    <SearchInput :nav="props.nav" @search="search" />
    <div v-if="!props.nav" class="text-center mt-1">
      <span class="text-caption mr-1">Examples:</span>
      <template v-for="example in examples" :key="example">
        <v-chip size="x-small" color="primary" @click="search(example)">
          {{ example }}
        </v-chip>
      </template>
    </div>
  </div>
</template>
